"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeoutGuide = void 0;
const react_1 = __importDefault(require("react"));
const core_1 = require("@material-ui/core");
const TimeoutGuide_style_1 = require("../../components/TimeoutGuide/TimeoutGuide.style");
const TimeoutGuide = () => {
    const classes = TimeoutGuide_style_1.useStyles();
    const corsUrls = [
        "https://core-iframe-dev.hypernetlabs.io",
        "https://vector-iframe-dev.hypernetlabs.io",
        "https://vector-auth-dev.hypernetlabs.io",
        "https://vector-nats-dev.hypernetlabs.io",
        "https://eth-provider-dev.hypernetlabs.io",
        "https://validator-iframe-dev.hypernetlabs.io",
        "https://hyperpay-dev.hypernetlabs.io",
    ];
    return (react_1.default.createElement(core_1.Box, { className: classes.wrapper },
        react_1.default.createElement(core_1.Box, { className: classes.title },
            "You have to enable insecure content in your browser! ",
            react_1.default.createElement("br", null),
            " In the search bar of your browser at the left of the URL, click on \"site settings\" and then change \"insecure content\" from \"Block\" to \"Allow\", get back and refresh the page"),
        react_1.default.createElement(core_1.Box, { className: classes.title }, "If that didn't work, try to open the following URLs in new tab one by one and click \"advanced\" and then click \"proceed to the domain.com\""),
        react_1.default.createElement(core_1.Box, { className: classes.linkWrapper }, corsUrls.map((url, index) => (react_1.default.createElement(core_1.Link, { key: index, href: url, target: "_blank" }, url))))));
};
exports.TimeoutGuide = TimeoutGuide;
//# sourceMappingURL=TimeoutGuide.js.map